Bug 1416011 - RHEL based 3.6 HE to 4.0 upgrade with wrong appliance
Summary: RHEL based 3.6 HE to 4.0 upgrade with wrong appliance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhevm-appliance
Version: 4.0.6
Hardware: All
OS: Linux
urgent
high
Target Milestone: ovirt-4.0.7
: ---
Assignee: Yuval Turgeman
QA Contact: Artyom
URL:
Whiteboard:
Depends On:
Blocks: 1420283
TreeView+ depends on / blocked
 
Reported: 2017-01-24 11:02 UTC by Sarvesh Pandit
Modified: 2017-03-16 15:37 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Previously the name of the “rhevm-appliance” RPM contained only a timestamp, without versioning information. In this release, the Red Hat Virtualization release will now be included in the name of the “rhevm-appliance” RPM and will be visible from the node channel.
Clone Of:
Environment:
Last Closed: 2017-03-16 15:37:43 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0552 normal SHIPPED_LIVE Moderate: rhevm-appliance security and bug fix update 2017-03-16 19:25:43 UTC

Description Sarvesh Pandit 2017-01-24 11:02:55 UTC
Description of problem:

RHEL based 3.6 HE to 4.0 upgrade with wrong appliance.

Version-Release number of selected component (if applicable):
rhevm-appliance-20170106.0-1.el7ev.noarch
rhevm-appliance-20161214.0-1.el7ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. Deploy latest 3.6 HE
2. Try to upgrade it following - https://access.redhat.com/documentation/en/red-hat-virtualization/4.0/paged/self-hosted-engine-guide/53-upgrading-a-rhel-based-self-hosted-engine-environment
3. Run # yum update ovirt-hosted-engine-setup rhevm-appliance

Actual results:
Appliance upgraded to rhevm-appliance-20170106.0-1.el7ev.noarch

Expected results:
Appliance should be upgraded to rhevm-appliance-20161214.0-1.el7ev.noarch

Additional info:

[root@rhelh36 ~]# yum repolist
Loaded plugins: product-id, search-disabled-repos, subscription-manager
repo id                                                                                      repo name                                                                                                       status
!rhel-7-server-rhev-mgmt-agent-rpms/7Server/x86_64                                           Red Hat Enterprise Virtualization Management Agents for RHEL 7 (RPMs)                                              674
rhel-7-server-rpms/7Server/x86_64                                                            Red Hat Enterprise Linux 7 Server (RPMs)                                                                        13,815
repolist: 14,489

[root@rhelh36 ~]# subscription-manager repos --enable=rhel-7-server-rhv-4-mgmt-agent-rpms
Repository 'rhel-7-server-rhv-4-mgmt-agent-rpms' is enabled for this system.

[root@rhelh36 ~]# yum update ovirt-hosted-engine-setup rhevm-appliance
...
...
...
--> Finished Dependency Resolution

Dependencies Resolved

===================================================================================================================================================================================================================
 Package                                             Arch                             Version                                                  Repository                                                     Size
===================================================================================================================================================================================================================
Installing:
 ovirt-engine-sdk-python                             noarch                           3.6.9.1-1.el7ev                                          rhel-7-server-rhv-4-mgmt-agent-rpms                           484 k
     replacing  rhevm-sdk-python.noarch 3.6.9.1-1.el7ev
Updating:
 ovirt-hosted-engine-setup                           noarch                           2.0.4.1-2.el7ev                                          rhel-7-server-rhv-4-mgmt-agent-rpms                           321 k
 rhevm-appliance                                     noarch                           20170106.0-1.el7ev                                       rhel-7-server-rhev-mgmt-agent-rpms                            1.7 G

[root@rhelh36 ~]# yum list all | grep -i rhevm-appliance
rhevm-appliance.noarch               20160721.0-1.el7ev      @rhel-7-server-rhev-mgmt-agent-rpms
rhevm-appliance.noarch               20170106.0-1.el7ev      rhel-7-server-rhev-mgmt-agent-rpms

[root@rhelh36 ~]# yum install rhevm-appliance-20161214.0-1.el7ev.noarch.rpm
Loaded plugins: product-id, search-disabled-repos, subscription-manager
No package rhevm-appliance-20161214.0-1.el7ev.noarch.rpm available.
Error: Nothing to do

[root@rhelh36 ~]# yum repolist
Loaded plugins: product-id, search-disabled-repos, subscription-manager
repo id                                                                                      repo name                                                                                                       status
rhel-7-server-rhev-mgmt-agent-rpms/7Server/x86_64                                            Red Hat Enterprise Virtualization Management Agents for RHEL 7 (RPMs)                                              674
rhel-7-server-rhv-4-mgmt-agent-rpms/7Server/x86_64                                           Red Hat Virtualization 4 Management Agents for RHEL 7 (RPMs)                                                       181
rhel-7-server-rpms/7Server/x86_64                                                            Red Hat Enterprise Linux 7 Server (RPMs)                                                                        13,815
repolist: 14,670

Workaround:

[root@rhelh36 ~]# subscription-manager repos --disable=rhel-7-server-rhev-mgmt-agent-rpms
Repository 'rhel-7-server-rhev-mgmt-agent-rpms' is disabled for this system.

[root@rhelh36 ~]# yum list all | grep -i rhevm-appliance
rhevm-appliance.noarch               20160721.0-1.el7ev      @rhel-7-server-rhev-mgmt-agent-rpms
rhevm-appliance.noarch               20161214.0-1.el7ev      rhel-7-server-rhv-4-mgmt-agent-rpms

[root@rhelh36 ~]# yum update rhevm-appliance
Loaded plugins: product-id, search-disabled-repos, subscription-manager
Resolving Dependencies
--> Running transaction check
---> Package rhevm-appliance.noarch 0:20160721.0-1.el7ev will be updated
---> Package rhevm-appliance.noarch 0:20161214.0-1.el7ev will be an update
--> Finished Dependency Resolution

Then again need to subscribe rhel-7-server-rhev-mgmt-agent-rpms for roll back.

While upgrade process following step need to be replaced:
# yum update ovirt-hosted-engine-setup rhevm-appliance

# yum update ovirt-hosted-engine-setup 

Continue upgrade process.

Comment 1 Ryan Barry 2017-01-24 13:47:47 UTC
This looks like a dupe of https://bugzilla.redhat.com/show_bug.cgi?id=1414085

Comment 2 Sandro Bonazzola 2017-01-24 14:09:12 UTC
So we need to backport to 4.0 as well

Comment 3 Gonza 2017-03-02 13:43:37 UTC
Verified basic sanity under bz1414085

Comment 4 Lukas Svaty 2017-03-02 13:52:28 UTC
The rest should be tested with flow of Hosted Engine, changing QA contact. If you believe basic sanity of BZ#1414085 is sufficient feel free to move to VERIFIED.

Comment 5 Artyom 2017-03-02 16:38:41 UTC
I believe the sanity is enough the single problem can be with the --upgrade-appliance option that relevant for the upgrade from 3.6 to 4.0, but we still do not have the 3.6 appliances with the new name convention.

Comment 9 errata-xmlrpc 2017-03-16 15:37:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0552


Note You need to log in before you can comment on or make changes to this bug.